﻿using System;
using System.ComponentModel.Composition;
using System.Windows.Controls;

namespace Contract
{
    [MetadataAttribute]
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false)]
    public class ExportWidgetAttribute : ExportAttribute
    {
        public ExportWidgetAttribute()
            : base(typeof(UserControl)) { }

        public WidgetArea Area { get; set; }

        public string Name { get; set; }

        public int Version { get; set; }

    }
}
