﻿namespace Shell
{
    public class EnumContainer
    {
        public int EnumValue { get; set; }
        public string EnumDescription { get; set; }
        public object EnumOriginalValue { get; set; }
        public override string ToString() { return EnumDescription; }

        public override bool Equals(object obj)
        {
            if (obj == null) return false;
            if (!(obj is EnumContainer)) return false;
            return EnumValue.Equals(((EnumContainer)obj).EnumValue);
        }     
        
        public override int GetHashCode() { return EnumValue.GetHashCode(); }
    }
}
