﻿using System;
using System.Globalization;
using System.Windows.Data;

namespace Shell
{
    public class EnumValueConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            return (int)value;
        } 
        
        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null) return null; 
            return value.GetType() == targetType ? value : ((EnumContainer)value).EnumOriginalValue;
        }
    }
}
